Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.licel.jcardsim.samples.NullApp
Class NullApp

    java.lang.Object
      javacard.framework.Applet
          com.licel.jcardsim.samples.NullApp.NullApp

    public class NullApp

extends Applet

Constructor Summary
`protected` | `NullApp(APDU apdu)` Only this class's install method should create the applet object.

Method Summary
`static void` | `install(byte[] bArray, short bOffset, byte bLength)` Installs this applet.
`void` | `process(APDU apdu)` Returns <0x6D,INS> response status always.

Methods inherited from class javacard.framework.Applet
`deselect, getShareableInterfaceObject, register, register, select, selectingApplet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullApp

    protected NullApp(APDU apdu)

  Only this class's install method should create the applet object.

  Parameters:
    `apdu` - the incoming APDU containing the INSTALL command.
  See Also:
    `APDU`

Method Detail

### install

    public static void install(byte[] bArray,
                               short bOffset,
                               byte bLength)

  Installs this applet.

  Parameters:
    `apdu` - the incoming APDU containing the INSTALL command.
  Throws:
    `ISOException` - with the response bytes per ISO 7816-4
  See Also:
    `APDU`

### process

    public void process(APDU apdu)
                 throws ISOException

  Returns <0x6D,INS> response status always.

  Specified by:
    `process` in class `Applet`
  Parameters:
    `apdu` - the incoming APDU containing the INSTALL command.
  Throws:
    `ISOException` - with the response bytes per ISO 7816-4
  See Also:
    `APDU`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD